Bug 31986 - X server burn-like crashes on Dell Inspiron 4000
X server burn-like crashes on Dell Inspiron 4000
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-16 10:01 EST by Brian Gunney
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-17 10:35:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Gunney 2001-03-16 10:01:06 EST
From Bugzilla Helper:

User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.14-12b i686; en-US; Galeon)
Gecko/20010216


This happens when the X server is supposed to go down, like when shutting
down from the gdm login screen or going to one of the text screens
(ctrl-alt-f1).  The screen freezes then "burns up".  Dark brown
discoloration fades in from the edges.  About 15 seconds later, the
original image is no longer recognizable, replaced by two solid color blocks.

Reproducible: Always
Steps to Reproduce:
One consistent way to reproduce this (there other less consistent ways) is:
1.Boot into runlevel 5 and get the gdm.  (Do not log in.)
2.Shutdown the system using the system menu of the gdm screen (or go to the
text mode using ctrl-alt-f1.

It appears that if you log in at least once, you can shut down or
ctrl-alt-f1 normally.  Although there was one case when this occured even
after logging in once.

This is happening on a Dell Inspiron 4000 laptop.
Pentium.  ATI Mobility M3 video card.  8MB video memory.  256M RAM.
	

Actual Results:  The screen freezes and slowly "burns" as described above.

Expected Results:  X server shuts off.
Comment 1 Mike A. Harris 2001-03-16 10:39:57 EST
Please try:

ftp://people.redhat.com/mharris

Grab the latest XFree86 and Mesa packages.  Also, it is important that you
are using the latest kernel from rawhide especially with ATI cards as there
were DRM fixes.

Does this fix it for you?  If not, please attach your X server logs from 4.0.2a
and configuration via the link below.
Comment 2 Mike A. Harris 2001-03-16 11:46:33 EST
Also, can I ask why you're using XFree86 3.3.6?  I just noticed that.
Or was this bug misfiled?
Comment 3 Brian Gunney 2001-03-17 10:35:20 EST
No, I was using XFree86-4.0.2-9.  Hmm.  Wonder why it came out differently.
Anyway, 4.0.2a-1 with Mesa-3.4-12 worked and the problem appears fixed.

Note You need to log in before you can comment on or make changes to this bug.